## org.eclipse.uml2.uml
Interface Include

All Superinterfaces:
  DirectedRelationship, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, Relationship

    public interface Include

extends NamedElement, DirectedRelationship

A representation of the model object 'Include'. An include relationship defines that a use case contains the behavior defined in another use case.

The following features are supported:

- `Addition`
- `Including Case`

See Also:
  `UMLPackage.getInclude()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`UseCase` `getAddition()` Returns the value of the 'Addition' reference.
`UseCase` `getIncludingCase()` Returns the value of the 'Including Case' container reference.
`void` `setAddition(UseCase value)` Sets the value of the '`Addition`' reference
`void` `setIncludingCase(UseCase value)` Sets the value of the '`Including Case`' container reference

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.DirectedRelationship
`getSources, getTargets`

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Method Detail

### getAddition

    UseCase getAddition()

  Returns the value of the 'Addition' reference.

  This feature subsets the following features:

  - '`Target`'
  References the use case that is to be included.

  Returns:
    the value of the 'Addition' reference.
  See Also:
    `setAddition(UseCase)`, `UMLPackage.getInclude_Addition()`

### setAddition

    void setAddition(UseCase value)

  Sets the value of the '`Addition`' reference.

  Parameters:
    `value` - the new value of the 'Addition' reference.
  See Also:
    `getAddition()`

### getIncludingCase

    UseCase getIncludingCase()

  Returns the value of the 'Including Case' container reference. It is bidirectional and its opposite is '`Include`'.

  This feature subsets the following features:

  - '`Source`'
  References the use case which will include the addition and owns the include relationship.

  Returns:
    the value of the 'Including Case' container reference.
  See Also:
    `setIncludingCase(UseCase)`, `UMLPackage.getInclude_IncludingCase()`, `UseCase.getIncludes()`

### setIncludingCase

    void setIncludingCase(UseCase value)

  Sets the value of the '`Including Case`' container reference.

  Parameters:
    `value` - the new value of the 'Including Case' container reference.
  See Also:
    `getIncludingCase()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.